Skip to main content
GET
/
expense-categories
List expense categories
curl --request GET \
  --url https://www.ruddr.io/api/workspace/expense-categories \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "7e3f9a12-c4b8-4d6e-b021-8f5a3c9e7d14",
      "name": "Mileage",
      "isActive": true,
      "requireAttendees": false,
      "requireReceipt": false,
      "requireNotes": false,
      "unitName": "mile",
      "unitAmount": 0.655,
      "code": "MILE-001",
      "createdAt": "2024-06-10T14:22:35.418Z",
      "invoiceItem": {
        "id": "b412b1e4-e618-4e61-b9d3-b6365d31ce1d",
        "name": "Expense"
      }
    }
  ],
  "hasMore": false
}
A category assigned to expense items. Can also be used to build expense budgets for projects.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
integer<int32>

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

name
string

Filter by name when it exactly matches the provided keyword.

Response

200

results
object[]
hasMore
boolean

Whether there are more results available after this page.